'_____________________________________________________________________________________
'
' Delsystemgare/omrdesansvarig: Gran Hjelm och Pr Stockhammar

' Programmet berknar:
' 1. Strukturella strningar med Blanchard-Perotti (QJE, 2002)-metod samt Blanchard (1993)-metod.
' 2. Impuls-responsfunktioner med Jord (2005)-metod

' Vren 2016
'_____________________________________________________________________________________

' 1. Instllningar dr flera ndras vid varje krning
'_______________________________________________________________________________________
%Datum="PostSEM"
%h="10"                 'Antal kvartal+1 fr IRF
%Real_variabel="BNP"    'Val av makrovariabel att studera: 1) BNP 2) SYSS
%SystemSize="SMALL"      '"SMALL" ger Jordasystem med 1 isf 2 laggar samt kort sample fr.o.m. 1993q1
                        '"BIG" ger 2 laggar och full sample

%FP_1 = "DSTH"          'Finanspolitisk skattevariabel i VAR
                                           '"DSTH"=direkta skatter till hushll, "DSTE"=dito till fretag
                                           'samt "ISTO"=indirekta skatter. DSTH r bas d olika utgiftsvariabler testas
%FP_2 = "FIOL"          'Finanspolitisk utgiftsvariabel i VAR
                                           '"Kool"=Off kons, "Fiol"=Off inv, "Troh"=transf till hushll
                                           'samt "Troe"=transf till fretag. KOOL r bas d olika skattevariabler testas
%FP_mult="FIOL"         'Finanspolitisk variabel fr multiplikatorberkning. Hamnar ocks i WF-namn tillsammans med %DUM nedan
                                           'Samma frkortningar som ovan fr VAR-strningar.
                                           'Fr Blanchard (1993)-strningar: "B_G_org" fr KOOL, "B_IG_org" fr FIOL, "B_TRH_org" fr Troh
                                                                            '"B_T_org" fr DSTH, "B_IT_org" fr ISTO, "B_CAB_org'
%OV="IG"                 'Frkortning av den offentliga variabel som anvnds.
                                           '"GexclW" fr G exkl. lnesumma, "Gw" fr Lnesumma exkl. soc. avg. "G" fr KOOL, "IG" fr FIOL, "TRH" fr Troh, "T" fr DSTH, "IT" fr ISTO, "Cab"

%CAB="HOF"                'Om frndring i CAB ska tas frn "HOF" eller "BL" (Blanchard (1993)). Endast aktiv om %OV="CAB" ovan

%NORM="LN"                '"LN": reala variabler i logs, multiplicering med Y/FP-variabel av (Y-irf/FP-irf)
                          '"PotBNP": variabler som andel av BNP

%DUM="ss_pos"                 'Val av dummy:'"vx"=fast/rrlig vxelkurs (OBS: endast en dummy i taget)
                                        ' "gapKI"=hg/lgkonjunktur KI-def, "gapHP"=HP-def, "gapKI_HP"=medelvrde KI, HP
                                        '"selection"=valda r p rad 450, "ss"=stora strningar, "ss_pos"=positiva strningar, "konj_upp"=konjukturuppgng, genomsnitt av d(KI-gap) och d(HP_gap) > 0

%OECDgap="J"              '"J" om OECD-gap ska ing i estimationerna, "N" annars
%OECDgap_HP="J"           '"J" om HP-baserat OECD-gap ska ing


'ndras vanligtvis ej
%LP = "J"                   'Om Jords (2005) Linear Projection ska kras
%ToBpro = "N"               'Om resultat sparas p BPRO
%OECDrens="N"              'Test fr att frrensa BNP med OECDgap innan LP-regression

'__________________________________________________________________________________________________
' INGA NDRINGAR BEHVS NEDAN
'__________________________________________________________________________________________________
' Sample
%Arkivmapp  = "LBR2016"
%Arkivmapp2 = "Jun2016"     'Behvs fr att kunna lsa KPIFEE
%perFUQ     = "1980q1"
%perSUQ     = "2016q3"
%AntalLAG = "2"             'Antal laggar i VAR (minimerar HQ-kriteriet).

If %SystemSize="BIG" Then
	%StartUtanDum="1980q1"  'Sample fr estimationer UTAN dummy-estimationer vljs hr.
  %EndUtanDum="2016q3"
  %StartMedDum="1980q1"   'Sample fr estimationer MED dummy-estimationer vljs hr.
  %EndMedDum="2016q3"
EndIf

If %SystemSize="SMALL" Then
	%StartUtanDum="1993q1"  'Sample fr estimationer UTAN dummy-estimationer vljs hr.
  %EndUtanDum="2016q3"
  %StartMedDum="1993q1"   'Sample fr estimationer MED dummy-estimationer vljs hr.
  %EndMedDum="2016q3"
EndIf

' Genomsnittligt vrde p BNP/FP-variabel i samplet. Anvnds fr att berkna effekt p BNP i kronor d FP-variabel ndras en krona.
%Y_FPGwexclW="7.2"
%Y_FPGw="8.6"
%Y_FPG="3.9"
%Y_FPIG="21.9"
%Y_FPTRH="5.8"
%Y_FPT="5.9"
%Y_FPIT="3.7"

'__________________________________________________________________________________________________
' Instllningar som r beroende av vilken strning som ska analyseras, skts automatiskt givet instllningar ovan
'__________________________________________________________________________________________________
If %OV="Gexclw" Then
   %Y_FP="7.2"          'Y/G, fr BNP-multiplikatorberkning d log-specifikation anvnds
   %Y_FP2="104.19"      'mean(G) i mrd kr, fr SYSS-multiplikatorberkning d log-specifikation anvnds
   %FP_type="bas"            '"bas" om KOOL eller DSTH, "CAB" fr CAB, fr vriga variabler "other": OBS: case-sensitive
   If %NORM="LN" Then
      %FP_var="ln_lonofffs"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
   If %NORM="PotBNP" Then
      %FP_var="gw_ypot"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
EndIf
If %OV="Gw" Then
   %Y_FP="8.6"          'Y/G, fr BNP-multiplikatorberkning d log-specifikation anvnds
   %Y_FP2="84.01"      'mean(G) i mrd kr, fr SYSS-multiplikatorberkning d log-specifikation anvnds
   %FP_type="bas"            '"bas" om KOOL eller DSTH, "CAB" fr CAB, fr vriga variabler "other": OBS: case-sensitive
   If %NORM="LN" Then
      %FP_var="ln_lonofffs"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
   If %NORM="PotBNP" Then
      %FP_var="gw_ypot"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
EndIf

If %OV="G" Then
   %Y_FP="3.9"          'Y/G, fr BNP-multiplikatorberkning d log-specifikation anvnds
   %Y_FP2="187.85"      'mean(G) i mrd kr, fr SYSS-multiplikatorberkning d log-specifikation anvnds
   %FP_type="bas"            '"bas" om KOOL eller DSTH, "CAB" fr CAB, fr vriga variabler "other": OBS: case-sensitive
   If %NORM="LN" Then
      %FP_var="ln_koolfs"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
   If %NORM="PotBNP" Then
      %FP_var="g_ypot"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
EndIf

If %OV="IG" Then
   %Y_FP="21.9"         'Y/IG, fr multiplikatorberkning d log-specifikation anvnds
   %Y_FP2="33.40"       'mean(IG) i mrd kr, fr SYSS-multiplikatorberkning d log-specifikation anvnds
   %FP_type="other"            '"bas" om KOOL eller DSTH, "CAB" fr CAB, fr vriga variabler "other": OBS: case-sensitive
   If %NORM="LN" Then
      %FP_var="ln_fiolfs"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
   If %NORM="PotBNP" Then
      %FP_var="ig_ypot"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
EndIf

If %OV="TRH" Then
   %Y_FP="5.8"           'Y/TRH, fr multiplikatorberkning d log-specifikation anvnds
   %Y_FP2="125.29"       'mean(TRH) i mrd kr, fr SYSS-multiplikatorberkning d log-specifikation anvnds
   %FP_type="other"            '"bas" om KOOL eller DSTH, "CAB" fr CAB, fr vriga variabler "other": OBS: case-sensitive
   If %NORM="LN" Then
      %FP_var="ln_trhfs"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
   If %NORM="PotBNP" Then
      %FP_var="tr_ypot"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
EndIf

If %OV="T" Then
   %Y_FP="5.9"           'Y/T, fr multiplikatorberkning d log-specifikation anvnds
   %Y_FP2="124.24"       'mean(T) i mrd kr, fr SYSS-multiplikatorberkning d log-specifikation anvnds
   %FP_type="bas"            '"bas" om KOOL eller DSTH, "CAB" fr CAB, fr vriga variabler "other": OBS: case-sensitive
   If %NORM="LN" Then
      %FP_var="ln_dsthfs"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
   If %NORM="PotBNP" Then
      %FP_var="T_ypot"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
EndIf

If %OV="IT" Then
   %Y_FP="3.7"           'Y/IT, fr multiplikatorberkning d log-specifikation anvnds
   %Y_FP2="197.89"       'mean(IT) i mrd kr, fr SYSS-multiplikatorberkning d log-specifikation anvnds
   %FP_type="other"            '"bas" om KOOL eller DSTH, "CAB" fr CAB, fr vriga variabler "other": OBS: case-sensitive
   If %NORM="LN" Then
      %FP_var="ln_istofs"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
   If %NORM="PotBNP" Then
      %FP_var="IT_ypot"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   EndIf
EndIf

If %OV="CAB" Then
   %FP_var="cab"  'Den FP-variabel som ska loopas ver (borde kunna kodas bttre)
   %FP_type="cab"            '"bas" om KOOL eller DSTH, "CAB" fr CAB, fr vriga variabler "other": OBS: case-sensitive
EndIf

If %Real_variabel="BNP" Then
 %Real_var="ln_nbnpmpfs"
EndIf

If %Real_variabel="SYSS" Then
	%Real_var="ln_asy1574s"
 	%Mean_syss = "4.38"   'mean(syss) i miljoner personer, fr SYSS-multiplikatorberkning d log-specifikation anvnds
EndIf

If %NORM="PotBNP" Then
	%PotBNP="KI"           'Typ av Trend-BNP om %NORM="PotBNP". Om 'Qtrend', anpassad BNP till trend. Kan ocks anta: 'KI', 'HP' resp. 'KI_HP' (medelvrde)
	If %Real_variabel="BNP" Then
		%Real_var="y_ypot"
	EndIf
	If %Real_variabel="SYSS" Then
		%Real_var="l_lpot"
	EndIf
EndIf

If %OECDrens="J" Then
	%Real_var="ln_nbnpmpfs"
EndIf

'_____________________________________________________________________________________

' 2. Uppstart
'_____________________________________________________________________________________

' Skvgar
%runPath = @Runpath         'tar fram skvgen dr man r

' Instllnignar
' Tysta och stng
Mode Quiet
Close @All

' Inkludera styrfiler
Include "G:\Pro\Gemensam\Program\Styrfil\GlobalStyrfil.Prg"

' Skapa ny workfile
KINyFil temp {%perFUQ} {%perSUQ} q
Smpl {%perFUQ} {%perSUQ}

'_____________________________________________________________________________________

' 3. Kopiera data frn WF
'__________________________________________________________________________________________
Smpl @All
Import G:\KI\ftp\ftpuser\konj\working_papers\WP_147_FiscalMultipliers\WP147.wf1
stop

'_____________________________________________________________________________________

' 4. Skatta UVAR. Olika varianter beroende p vilken FP-variabel vars strningar ska analyseras
'______________________________________________________________________________________
Smpl @All
 'Default: Log-levels, linjr trend, tv laggar. Real variabel (BNP eller Sysselsttning) nr. 3 i samtliga
If %OV="T" Then
    Var base.ls 1 {%AntalLAG} ln_{%FP_1}fs ln_{%FP_2}fs Oecdgap_gh ln_nbnpmpfs ln_asy1574s realranta @ c t1
EndIf
If %OV="Gexclw" Then
   Var base.ls 1 {%AntalLAG} ln_{%FP_1}fs ln_{%FP_2}fs Oecdgap_gh ln_nbnpmpfs ln_asy1574s realranta @ c t1
EndIf
If %OV="Gw" Then
   Var base.ls 1 {%AntalLAG} ln_{%FP_1}fs ln_{%FP_2}fs Oecdgap_gh ln_nbnpmpfs ln_asy1574s realranta @ c t1
EndIf
If %OV="G" Then
   Var base.ls 1 {%AntalLAG} ln_{%FP_1}fs ln_{%FP_2}fs Oecdgap_gh ln_nbnpmpfs ln_asy1574s realranta @ c t1
EndIf
If %OV="CAB" Then
   Var base.ls 1 {%AntalLAG} ln_{%FP_1}fs ln_{%FP_2}fs Oecdgap_gh ln_nbnpmpfs ln_asy1574s realranta @ c t1
EndIf
If %OV="TRH" Then
   Var base.ls 1 {%AntalLAG} ln_dsthfs ln_trhfs ln_koolfs Oecdgap_gh ln_nbnpmpfs ln_asy1574s realranta @ c t1
EndIf
If %OV="IT" Then
   Var base.ls 1 {%AntalLAG} ln_istofs ln_koolfs ln_dsthfs Oecdgap_gh ln_nbnpmpfs ln_asy1574s realranta @ c t1
EndIf
If %OV="IG" Then
   Var base.ls 1 {%AntalLAG} ln_dsthfs ln_fiolfs ln_koolfs Oecdgap_gh ln_nbnpmpfs ln_asy1574s realranta @ c t1
EndIf

base.results
base.makeresids
'_________________________________________________________________________________

' 5. Berknar strukturella strningar med Blanchard-Perotti (2002)-metod
'______________________________________________________________________________________
' Elasticiteter m.a.p. finanspolitiska variablers respons p ouput gap
' Referenser: fr perioden 80q1-94q4 Giorno m.fl. (2005); fr perioden 95q1-04q4 Gioruard/Andre (2005, s 192-3); fr perioden 05q1-15q4 Mourre m.fl. (2014, s 17)

' Skatteelasticiteter, "S_EL"

	Smpl {%perFUQ} 1994q4
  	Series S_EL_dsth = 1.4
  	Series S_EL_dste = 2.4
  	Series S_EL_isto = 1.0
	Smpl 1995q1 2004q4
	  Series S_EL_dsth = 0.92
	  Series S_EL_dste = 1.78
	  Series S_EL_isto = 1.0
  Smpl 2005q1 {%perSUQ}
	  Series S_EL_dsth = 1.32
	  Series S_EL_dste = 1.56
	  Series S_EL_isto = 1.0

' Utgiftselasticiteter, "U_EL"

	Smpl {%perFUQ} 1994q4
  	Series U_EL_lonoff = 0.0
  	Series U_EL_kool = 0.0
    Series U_EL_fiol = 0.0
  	Series U_EL_troe = 0.0
  	Series U_EL_troh = -0.4
	Smpl 1995q1 2004q4
		Series U_EL_lonoff = 0.0
	  Series U_EL_kool = 0.0
	  Series U_EL_fiol = 0.0
  	Series U_EL_troe = 0.0
    Series U_EL_troh = -0.4
  Smpl 2005q1 {%perSUQ}
  	Series U_EL_lonoff = 0.0
	  Series U_EL_kool = 0.0
	  Series U_EL_fiol = 0.0
  	Series U_EL_troe = 0.0
  	Series U_EL_troh = -0.22

%S_EL="S_EL_dsth S_EL_dste S_EL_isto"
%U_EL="U_EL_kool U_EL_lonoff U_EL_fiol U_EL_troe U_EL_troh"

'HP-filtrerar skatte- och utgiftselasticiteterna
Smpl @All
For %X {%S_EL}
Do	{%X}.hpf(lambda=1600) {%X}_hp
Next
Smpl @All
For %X {%U_EL}
Do	{%X}.hpf(lambda=1600) {%X}_hp
Next

%S_EL_HP="S_EL_dsth_HP S_EL_dste_HP S_EL_isto_HP"
%U_EL_HP="U_EL_kool_HP U_EL_fiol_HP U_EL_troe_HP U_EL_troh_HP"

' Strukturella finanspolitiska strningar
 If %FP_type="bas" Then
   ' Strukturell finanspolitisk strning nr 1
   Series SS_{%FP_1}_base = (resid01 - S_EL_{%FP_1}_HP*resid04)                 'Ekvation 3b, ECB WP nr. 647

   ' Strukturell finanspolitisk strning nr 2
   series lhs_base = resid02 - U_EL_{%FP_2}_HP*resid04                         'Ekvation 3a, ECB WP nr. 647
   equation lhs.ls lhs_base=c(1)*SS_{%FP_1}_base
   lhs.results
   LHS.makeresids resid7
   Series SS_{%FP_2}_base = resid7
 EndIf
 If %FP_type="other" Then
   Series SS_{%FP_1}_base = (resid01 - S_EL_{%FP_1}_HP*resid05)                 'Ekvation 3b, ECB WP nr. 647

   ' Strukturell finanspolitisk strning nr 2
   series lhs_base = resid02 - U_EL_{%FP_2}_HP*resid05                          'Ekvation 3a, ECB WP nr. 647
   equation lhs.ls lhs_base=c(1)*SS_{%FP_1}_base
   lhs.results
   LHS.makeresids resid10
   Series SS_{%FP_2}_base = resid10
 EndIf

'_____________________________________________________________________________________

' 6. Berkna strukturella strningar med Blanchard (1993)-metod
'_______________________________________________________________________________________
Smpl @All
' Bilda BNP-andelar av offentliga variabler
'%data4 = "SKTO DSTO DSTH DSTE ISTO TROT TROH TROE KOOL FIOL FSO"
%data4 = "LONOFFfs SKTOfs DSTOfs DSTHfs DSTEfs ISTOfs TROTfs TROHfs TROEfs KOOLfs FIOLfs nbnpmpfs FSOfs mtfs"
For %X {%data4}
	'Series {%X}_BNP = {%X}/nbnpmpl
	Series {%X}_BNP = {%X}/nbnpmpfs
Next

' Blanchard (1993)-metod som berknar Fiscal impulse som procent av BNP
%data5 = "LONOFFfs_BNP SKTOfs_BNP DSTOfs_BNP DSTHfs_BNP DSTEfs_BNP ISTOfs_BNP TROTfs_BNP TROHfs_BNP TROEfs_BNP KOOLfs_BNP FIOLfs_BNP FSOfs_BNP"
For %X {%data5}
	Equation {%X}_ls.ls {%X} = c(1)+c(2)*Arali1574s+c(3)*t1+c(4)*t2                'Skattar BNP-andelar som en funktion av arbetslshet, Alesina/Perotti 1995
	{%X}_ls.results
	{%X}_ls.makeresids {%X}_res
	Series {%X}_Ulag = c(1)+c(2)*Arali1574s(-1)+c(3)*t1+c(4)*t2+{%X}_res           'Berknar offentlig variabel/BNP som funktion av skattat samband men med laggad arbetslshet, Alesina/Perotti 1995
	Series {%X}_FI_pe = {%X}_Ulag-{%X}(-1)                                     'Fiscal impulse i procent av BNP
	Series {%X}_KonjJust = {%X}_Ulag*nbnpmpfs                                  'Konjunkturjusterade offentliga variabler i niv, fast pris
Next
' Blanchard (1993)-metod med KI-BNP-gap som berknar Fiscal impulse som procent av BNP
For %X {%data5}
	Equation {%X}_ls_KI.ls {%X} = c(1)+c(2)*BNPgap+c(3)*t1+c(4)*t2               'Skattar BNP-andelar som en funktion av bnp-gap istllet
	{%X}_ls_KI.results
	{%X}_ls_KI.makeresids {%X}_res
	Series {%X}_gaplag = c(1)+c(2)*BNPgap(-1)+c(3)*t1+c(4)*t2+{%X}_res           'Berknar offentlig variabel/BNP som funktion av skattat samband men med laggad arbetslshet, Alesina/Perotti 1995
	Series {%X}_FI_pe_KI = {%X}_gaplag-{%X}(-1)                            'Fiscal impulse i procent av BNP
	'Series {%X}_KonjJust_KIgap = {%X}_gaplag*nbnpmpfs                     'Konjunkturjusterade offentliga variabler i niv, fast pris
Next

' Namnbyte p Blanchard-strningar
Series SS_B_Gw_org_base   = LONOFFfs_BNP_FI_pe
Series SS_B_Gw_ki_base    = LONOFFfs_BNP_FI_pe_KI
Series SS_B_G_org_base   = KOOLfs_BNP_FI_pe
Series SS_B_G_ki_base    = KOOLfs_BNP_FI_pe_KI
Series SS_B_IG_org_base  = FIOLfs_BNP_FI_pe
Series SS_B_IG_ki_base   = FIOLfs_BNP_FI_pe_KI
Series SS_B_TRH_org_base = TROHfs_BNP_FI_pe
Series SS_B_TRH_ki_base  = TROHfs_BNP_FI_pe_KI
Series SS_B_CAB_org_base = FSOfs_BNP_FI_pe
Series SS_B_CAB_ki_base  = FSOfs_BNP_FI_pe_KI

Series SS_B_T_org_base   = DSTHfs_BNP_FI_pe
Series SS_B_T_ki_base    = DSTHfs_BNP_FI_pe_KI
Series SS_B_IT_org_base  = ISTOfs_BNP_FI_pe
Series SS_B_IT_ki_base   = ISTOfs_BNP_FI_pe_KI

' Niv och frndring av valt CAB-mtt
If %CAB="HOF" Then
	Series dCab = Cab_hof-Cab_hof(-1)
	Series Cab = Cab_hof
EndIf
If %CAB="BL" Then
	Series dCab = SS_B_CAB_org_base
	Series Cab = FSOfs_BNP_Ulag
EndIf
'_______________________________________________________________________________________

' 7. Dummydefinitioner

'_______________________________________________________________________________________

If %LP = "J" Then

'	' 1 Egen specificering av dummy (frsta1, sista2, frsta2, sist2, osv)
If %DUM="selection" Then
  Smpl 1993q1 1997q4 2008q4 2010q2
	Series Dummy01 = 1
EndIf

If %DUM="vx" Then
   Smpl 1981q1 1992Q4           'Period med fast vxk
   Series Dummy01 = 1
EndIf

If %DUM="gapHP" Then
	 Smpl If gapp_hp>0             'Positivt BNP-gap
   Series Dummy01 = 1
EndIf

If %DUM="gapKI" Then
	 Smpl If gapp>-1.8            'Positivt BNP-gap definierat som hgre n KI-medelvrdet p -1.8 fr samplet 93-15.
   Series Dummy01 = 1
EndIf

If %DUM="gapKI_HP" Then
	 Smpl @All
	 Series gap_ki_hp = (gapp+gapp_hp)/2
	 Smpl If gap_ki_hp>-0.9             'Positivt BNP-gap
   Series Dummy01 = 1
EndIf

If %DUM="ss" Then
   Smpl If SS_{%FP_mult}_base>(@mean(SS_{%FP_mult}_base)+0.5*@Stdev(SS_{%FP_mult}_base))  'Strukturell strning strre n en halv standardavvikelse ver medelvrdet
   Series Dummy01 = 1
EndIf

If %DUM="ss_pos" Then
   Smpl If SS_{%FP_1}_base>0 	 'Positiv strukturell strning
   Series Dummy01 = 1
EndIf

If %DUM="konj_upp" Then
   Series dgapp = BNPgap-BNPgap(-1)   'Konjunkturuppgng, hlften KI, hften HP
   Smpl If dgapp>0.1 	                'Konjunkturuppgng, positiv frndring i BNP-gap definierat som hgre n medelvrdet p 0.1 fr samplet 93-15.
   Series Dummy01 = 1
EndIf

	' Antal
		Smpl @All
		Series dummy01 = @Nan(dummy01,0)
		%d1 = @WLookup("Dummy*","Series")
		!d1 = @WCount(%d1)

'_______________________________________________________________________________________

' 8. Estimering av Jorda's IRF
'_______________________________________________________________________________________
  ' Variabler att loopa ver (ven vriga FP-variabler ingr i syfte att berkna IRF ven fr dessa
	If %NORM="LN" Then
	  If %OV="Gexclw" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " ln_dsthfs ln_istofs ln_trhfs" 'Variabler i vnsterled
	  EndIf

	  If %OV="Gw" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " ln_dsthfs ln_istofs ln_trhfs" 'Variabler i vnsterled
	  EndIf

	  If %OV="G" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " ln_dsthfs ln_istofs ln_trhfs" 'Variabler i vnsterled
	  EndIf

	  If %OV="IG" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " ln_dsthfs ln_istofs ln_trhfs ln_koolfs" 'Variabler i vnsterled
	  EndIf

	  If %OV="TRH" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " ln_dsthfs ln_koolfs ln_istofs" 'Variabler i vnsterled
	  EndIf

	  If %OV="T" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " ln_koolfs ln_istofs ln_trhfs" 'Variabler i vnsterled
	  EndIf

	  If %OV="IT" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " ln_dsthfs ln_koolfs ln_trhfs" 'Variabler i vnsterled
	  EndIf
	EndIf

	If %NORM="PotBNP" Then
	  If %OV="Gexclw" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " t_ypot it_ypot tr_ypot" 'Variabler i vnsterled
	  EndIf

	  If %OV="Gw" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " t_ypot it_ypot tr_ypot" 'Variabler i vnsterled
	  EndIf

	  If %OV="G" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " t_ypot it_ypot tr_ypot" 'Variabler i vnsterled
	  EndIf

	  If %OV="IG" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " t_ypot it_ypot g_ypot tr_ypot" 'Variabler i vnsterled
	  EndIf

	  If %OV="TRH" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " t_ypot g_ypot it_ypot" 'Variabler i vnsterled
	  EndIf

	  If %OV="T" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " g_ypot it_ypot tr_ypot" 'Variabler i vnsterled
	  EndIf

	  If %OV="IT" Then
		   %yalla = " " + %FP_var + "  "+ %Real_var + " t_ypot g_ypot tr_ypot" 'Variabler i vnsterled
	  EndIf
  EndIf

	If %FP_var="cab" Then
    %yalla = " "+ %Real_var + " Cab t_ypot g_ypot tr_ypot" 'Variabler i vnsterled
	EndIf

	%dummymed = "J"                            ' Ha med dummy
	!h1 = {%h}                                   ' IRF horisont
	!laggar = 2                                ' Antal laggar i HL

'_______________________________________________________________________________________
	' Loop ver variabler och irf-horisonter brjar hr
'_______________________________________________________________________________________
	Smpl @All
	' Variabler
	For %y {%yalla}
	' Tid
		For !h = 0 To {!h1}
			%h = @Str(!h)
			If !h < 10 Then
				%h = "0"+@Str(!h)
			EndIf   'Avslutar !h
			' Dummyvarianter
			For !d = 1 To !d1
				PageSelect q
				%d = @Str(!d)
				If !d < 10 Then
					%d = "0"+@Str(!d)
				EndIf   'Avslutar !d

        Smpl @All
				' Stter lagstruktur
				!lag1=-1-!h
				!lag2=-2-!h

    ' Skapar sidor
	  %PageName = @PageName
	  PageCreate(page=eq) u 1
	  !h2 = !h1+1
	  PageCreate(page=resultat) u 0 !h2
	  PageSelect {%PageName}

'__________________________________________________________________________
' SKATTAR EKVATIONER
'__________________________________________________________________________
If %OECDgap="N" Then

  If %SystemSize="BIG" Then
'________________________________________________________________________________
			If %NORM="PotBNP" Then	'Estimering med reala variabler som andel av BNP
				If %FP_type="bas" Then 'Anvnds d IRF till KOOL- och DSTH-strningar berknas

				' Med dummy
				Smpl %StartMedDum %EndMedDum
				Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(4)*SS_{%FP_mult}_base(!lag2)+c(5)+c(6)*{%Real_var}(!lag1)+c(7)*{%Real_var}(!lag2)+c(8)*g_ypot(!lag1)+c(9)*g_ypot(!lag2)+c(10)*t_ypot(!lag1)+c(11)*t_ypot(!lag2)+c(112)*(realranta(!lag1))+c(113)*(realranta(!lag2)))*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(17)*SS_{%FP_mult}_base(!lag2)+c(18)+c(19)*{%Real_var}(!lag1)+c(20)*{%Real_var}(!lag2)+c(21)*g_ypot(!lag1)+c(22)*g_ypot(!lag2)+c(23)*t_ypot(!lag1)+c(24)*t_ypot(!lag2)+c(212)*(realranta(!lag1))+c(213)*(realranta(!lag2)))*(1-dummy{%d}(!lag1))+c(29)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
				Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(3)*SS_{%FP_mult}_base(!lag2)+c(4)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*g_ypot(!lag1)+c(8)*g_ypot(!lag2)+c(9)*t_ypot(!lag1)+c(10)*t_ypot(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(15)*@Trend

			  EndIf  'Avslutar %FP_type
'________________________________________________________________________________
				If %FP_type="other" Then 'Anvnds d IRF till strningar fr vriga variabler berknas (utver KOOL- och DSTH-strningar)
		   ' Med dummy
		   Smpl %StartMedDum %EndMedDum
					Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(4)*SS_{%FP_mult}_base(!lag2)+c(74)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*t_ypot(!lag1)+c(8)*t_ypot(!lag2)+c(9)*g_ypot(!lag1)+c(10)*g_ypot(!lag2)+c(112)*(realranta(!lag1))+c(113)*(realranta(!lag2))+c(15)*{%FP_var}(!lag1)+c(16)*{%FP_var}(!lag2))*dummy{%d}(!lag1)+(c(17)*SS_{%FP_mult}_base(!lag1)+c(18)*SS_{%FP_mult}_base(!lag2)+c(19)+c(20)*{%Real_var}(!lag1)+c(21)*{%Real_var}(!lag2)+c(22)*t_ypot(!lag1)+c(23)*t_ypot(!lag2)+c(24)*g_ypot(!lag1)+c(25)*g_ypot(!lag2)+c(212)*(realranta(!lag1))+c(213)*(realranta(!lag2))+c(30)*{%FP_var}(!lag1)+c(31)*{%FP_var}(!lag2))*(1-dummy{%d}(!lag1))+c(32)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(3)*SS_{%FP_mult}_base(!lag2)+c(4)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*g_ypot(!lag1)+c(8)*g_ypot(!lag2)+c(9)*t_ypot(!lag1)+c(10)*t_ypot(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(15)*{%FP_var}(!lag1)+c(16)*{%FP_var}(!lag2)+c(17)*@Trend

	       EndIf    'Avslutar %FP_type
'________________________________________________________________________________
	       If %FP_type="cab" Then 'Anvnds d IRF till strningar fr dCAB
        ' Med dummy
        Smpl %StartMedDum %EndMedDum
					Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*dCab(-!h)*dummy{%d}(!lag1)+c(2)*dCab(-!h)*(1-dummy{%d}(!lag1))+(c(3)*dCab(!lag1)+c(4)*dCab(!lag2)+c(74)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*t_ypot(!lag1)+c(8)*t_ypot(!lag2)+c(9)*g_ypot(!lag1)+c(10)*g_ypot(!lag2)+c(112)*(realranta(!lag1))+c(113)*(realranta(!lag2)))*dummy{%d}(!lag1)+(c(17)*dCab(!lag1)+c(18)*dCab(!lag2)+c(19)+c(20)*{%Real_var}(!lag1)+c(21)*{%Real_var}(!lag2)+c(22)*t_ypot(!lag1)+c(23)*t_ypot(!lag2)+c(24)*g_ypot(!lag1)+c(25)*g_ypot(!lag2)+c(212)*(realranta(!lag1))+c(213)*(realranta(!lag2)))*(1-dummy{%d}(!lag1))+c(32)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*dcab(-!h)+c(2)*dcab(!lag1)+c(3)*dcab(!lag2)+c(4)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*g_ypot(!lag1)+c(8)*g_ypot(!lag2)+c(9)*t_ypot(!lag1)+c(10)*t_ypot(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(17)*@Trend

         EndIf     'Avslutar %FP_type
      EndIf         'Avslutar %NORM

'________________________________________________________________________________
      If %NORM="LN" Then	'Estimering med reala variabler i logs
'________________________________________________________________________________
				If %FP_type="bas" Then 'Anvnds d IRF till KOOL- och DSTH-strningar berknas
'
				' Med dummy
Smpl %StartMedDum %EndMedDum
Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(4)*SS_{%FP_mult}_base(!lag2)+c(5)+c(6)*{%Real_var}(!lag1)+c(7)*{%Real_var}(!lag2)+c(8)*ln_koolfs(!lag1)+c(9)*ln_koolfs(!lag2)+c(10)*ln_dsthfs(!lag1)+c(11)*ln_dsthfs(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(40)*oecdgap_gh)*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(17)*SS_{%FP_mult}_base(!lag2)+c(18)+c(19)*{%Real_var}(!lag1)+c(20)*{%Real_var}(!lag2)+c(21)*ln_koolfs(!lag1)+c(22)*ln_koolfs(!lag2)+c(23)*ln_dsthfs(!lag1)+c(24)*ln_dsthfs(!lag2)+c(25)*(realranta(!lag1))+c(26)*(realranta(!lag2)))*(1-dummy{%d}(!lag1))+c(29)*@Trend

					' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
				 Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(3)*SS_{%FP_mult}_base(!lag2)+c(4)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*ln_koolfs(!lag1)+c(8)*ln_koolfs(!lag2)+c(9)*ln_dsthfs(!lag1)+c(10)*ln_dsthfs(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(15)*@Trend

        EndIf  'Avslutar %FP_type

'________________________________________________________________________________
				If %FP_type="other" Then 'Anvnds d IRF till strningar fr vriga variabler berknas (utver KOOL- och DSTH-strningar)

		   ' Med dummy
		   Smpl %StartMedDum %EndMedDum
        Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(10)*SS_{%FP_mult}_base(!lag1)+c(11)*SS_{%FP_mult}_base(!lag2)+c(12)+c(13)*{%Real_var}(!lag1)+c(14)*{%Real_var}(!lag2)+c(15)*ln_koolfs(!lag1)+c(16)*ln_koolfs(!lag2)+c(17)*ln_dsthfs(!lag1)+c(18)*ln_dsthfs(!lag2)+c(122)*(realranta(!lag1))+c(132)*(realranta(!lag2))+c(23)*{%FP_var}(!lag1)+c(24)*{%FP_var}(!lag2))*dummy{%d}(!lag1)+(c(25)*SS_{%FP_mult}_base(!lag1)+c(26)*SS_{%FP_mult}_base(!lag2)+c(27)+c(28)*{%Real_var}(!lag1)+c(29)*{%Real_var}(!lag2)+c(30)*ln_koolfs(!lag1)+c(31)*ln_koolfs(!lag2)+c(32)*ln_dsthfs(!lag1)+c(33)*ln_dsthfs(!lag2)+c(212)*(realranta(!lag1))+c(213)*(realranta(!lag2))+c(38)*{%FP_var}(!lag1)+c(39)*{%FP_var}(!lag2))*(1-dummy{%d}(!lag1))+c(40)*@Trend

					' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
        Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(3)*SS_{%FP_mult}_base(!lag2)+c(4)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*ln_koolfs(!lag1)+c(8)*ln_koolfs(!lag2)+c(9)*ln_dsthfs(!lag1)+c(10)*ln_dsthfs(!lag2)+c(11)*{%FP_var}(!lag1)+c(12)*{%FP_var}(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(16)*kpifees(!lag2)+c(17)*@Trend

      EndIf     'Avslutar %FP_type

EndIf         'Avslutar %NORM
EndIf         'Avslutar %SystemSize

'________________________________________________________________________________
If %SystemSize="SMALL" Then
'________________________________________________________________________________

'________________________________________________________________________________
If %NORM="PotBNP" Then	'Estimering med reala variabler i logs
'________________________________________________________________________________
				If %FP_type="bas" Then 'Anvnds d IRF till KOOL- och DSTH-strningar berknas

				' Med dummy
Smpl %StartMedDum %EndMedDum
Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(5)+c(6)*{%Real_var}(!lag1)+c(8)*g_ypot(!lag1)+c(10)*t_ypot(!lag1)+c(112)*(realranta(!lag1)))*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(18)+c(19)*{%Real_var}(!lag1)+c(21)*g_ypot(!lag1)+c(23)*t_ypot(!lag1)+c(25)*(realranta(!lag1)))*(1-dummy{%d}(!lag1))+c(29)*@Trend

					' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
				 Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(4)+c(5)*{%Real_var}(!lag1)+c(7)*g_ypot(!lag1)+c(9)*t_ypot(!lag1)+c(11)*(realranta(!lag1))+c(15)*@Trend

        EndIf  'Avslutar %FP_type
'________________________________________________________________________________
				If %FP_type="other" Then 'Anvnds d IRF till strningar fr vriga variabler berknas (utver KOOL- och DSTH-strningar)

				' Med dummy
Smpl %StartMedDum %EndMedDum
Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(5)+c(6)*{%Real_var}(!lag1)+c(8)*g_ypot(!lag1)+c(10)*t_ypot(!lag1)+c(323)*{%FP_var}(!lag1)+c(112)*(realranta(!lag1)))*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(18)+c(19)*{%Real_var}(!lag1)+c(21)*g_ypot(!lag1)+c(23)*t_ypot(!lag1)+c(223)*{%FP_var}(!lag1)+c(25)*(realranta(!lag1)))*(1-dummy{%d}(!lag1))+c(29)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
				 Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(4)+c(5)*{%Real_var}(!lag1)+c(7)*g_ypot(!lag1)+c(9)*t_ypot(!lag1)+c(23)*{%FP_var}(!lag1)+c(11)*(realranta(!lag1))+c(15)*@Trend

      EndIf     'Avslutar %FP_type
'________________________________________________________________________________
	       If %FP_type="cab" Then 'Anvnds d IRF till strningar fr dCAB
        ' Med dummy
        Smpl %StartMedDum %EndMedDum
					Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*dCab(-!h)*dummy{%d}(!lag1)+c(2)*dCab(-!h)*(1-dummy{%d}(!lag1))+(c(3)*dCab(!lag1)+c(74)+c(5)*{%Real_var}(!lag1)+c(7)*t_ypot(!lag1)+c(9)*g_ypot(!lag1)+c(112)*(realranta(!lag1)))*dummy{%d}(!lag1)+(c(17)*dCab(!lag1)+c(19)+c(20)*{%Real_var}(!lag1)+c(22)*t_ypot(!lag1)+c(24)*g_ypot(!lag1)+c(212)*(realranta(!lag1)))*(1-dummy{%d}(!lag1))+c(32)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*dcab(-!h)+c(2)*dcab(!lag1)+c(4)+c(5)*{%Real_var}(!lag1)+c(7)*g_ypot(!lag1)+c(9)*t_ypot(!lag1)+c(12)*(realranta(!lag1))+c(17)*@Trend


      EndIf    'Avslutar %FP_type

EndIf         'Avslutar %NORM


'________________________________________________________________________________
If %NORM="LN" Then	'Estimering med reala variabler i logs
'________________________________________________________________________________
				If %FP_type="bas" Then 'Anvnds d IRF till KOOL- och DSTH-strningar berknas

				 'Med dummy
Smpl %StartMedDum %EndMedDum
Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(5)+c(6)*{%Real_var}(!lag1)+c(8)*ln_koolfs(!lag1)+c(10)*ln_dsthfs(!lag1)+c(112)*(realranta(!lag1)))*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(18)+c(19)*{%Real_var}(!lag1)+c(21)*ln_koolfs(!lag1)+c(23)*ln_dsthfs(!lag1)+c(25)*(realranta(!lag1)))*(1-dummy{%d}(!lag1))+c(29)*@Trend

					' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
				 Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(4)+c(5)*{%Real_var}(!lag1)+c(7)*ln_koolfs(!lag1)+c(9)*ln_dsthfs(!lag1)+c(11)*(realranta(!lag1))+c(15)*@Trend
'
        EndIf  'Avslutar %FP_type
'________________________________________________________________________________
				If %FP_type="other" Then 'Anvnds d IRF till strningar fr vriga variabler berknas (utver KOOL- och DSTH-strningar)

				' Med dummy
Smpl %StartMedDum %EndMedDum
Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(5)+c(6)*{%Real_var}(!lag1)+c(8)*ln_koolfs(!lag1)+c(10)*ln_dsthfs(!lag1)+c(323)*{%FP_var}(!lag1)+c(112)*(realranta(!lag1)))*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(18)+c(19)*{%Real_var}(!lag1)+c(21)*ln_koolfs(!lag1)+c(23)*ln_dsthfs(!lag1)+c(223)*{%FP_var}(!lag1)+c(25)*(realranta(!lag1)))*(1-dummy{%d}(!lag1))+c(29)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
				 Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(4)+c(5)*{%Real_var}(!lag1)+c(7)*ln_koolfs(!lag1)+c(9)*ln_dsthfs(!lag1)+c(23)*{%FP_var}(!lag1)+c(11)*(realranta(!lag1))+c(15)*@Trend

      EndIf     'Avslutar %FP_type

EndIf         'Avslutar %NORM
EndIf         'Avslutar %SystemSize
EndIf         'Avslutar %OECDgap


'________________________________________________________________________________
If %OECDgap="J" Then
'________________________________________________________________________________

If %SystemSize="BIG" Then
'________________________________________________________________________________
			If %NORM="PotBNP" Then	'Estimering med reala variabler som andel av BNP
				If %FP_type="bas" Then 'Anvnds d IRF till KOOL- och DSTH-strningar berknas

				' Med dummy
				Smpl %StartMedDum %EndMedDum
				Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(4)*SS_{%FP_mult}_base(!lag2)+c(5)+c(6)*{%Real_var}(!lag1)+c(7)*{%Real_var}(!lag2)+c(8)*g_ypot(!lag1)+c(9)*g_ypot(!lag2)+c(10)*t_ypot(!lag1)+c(11)*t_ypot(!lag2)+c(112)*(realranta(!lag1))+c(113)*(realranta(!lag2))+c(40)*oecdgap_gh)*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(17)*SS_{%FP_mult}_base(!lag2)+c(18)+c(19)*{%Real_var}(!lag1)+c(20)*{%Real_var}(!lag2)+c(21)*g_ypot(!lag1)+c(22)*g_ypot(!lag2)+c(23)*t_ypot(!lag1)+c(24)*t_ypot(!lag2)+c(212)*(realranta(!lag1))+c(213)*(realranta(!lag2))+c(50)*oecdgap_gh)*(1-dummy{%d}(!lag1))+c(29)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
				Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(3)*SS_{%FP_mult}_base(!lag2)+c(4)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*g_ypot(!lag1)+c(8)*g_ypot(!lag2)+c(9)*t_ypot(!lag1)+c(10)*t_ypot(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(40)*oecdgap_gh+c(15)*@Trend

			  EndIf  'Avslutar %FP_type
'________________________________________________________________________________
				If %FP_type="other" Then 'Anvnds d IRF till strningar fr vriga variabler berknas (utver KOOL- och DSTH-strningar)
		   ' Med dummy
		   Smpl %StartMedDum %EndMedDum
					Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(4)*SS_{%FP_mult}_base(!lag2)+c(74)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*t_ypot(!lag1)+c(8)*t_ypot(!lag2)+c(9)*g_ypot(!lag1)+c(10)*g_ypot(!lag2)+c(112)*(realranta(!lag1))+c(113)*(realranta(!lag2))+c(15)*{%FP_var}(!lag1)+c(16)*{%FP_var}(!lag2)+c(40)*oecdgap_gh)*dummy{%d}(!lag1)+(c(17)*SS_{%FP_mult}_base(!lag1)+c(18)*SS_{%FP_mult}_base(!lag2)+c(19)+c(20)*{%Real_var}(!lag1)+c(21)*{%Real_var}(!lag2)+c(22)*t_ypot(!lag1)+c(23)*t_ypot(!lag2)+c(24)*g_ypot(!lag1)+c(25)*g_ypot(!lag2)+c(212)*(realranta(!lag1))+c(213)*(realranta(!lag2))+c(30)*{%FP_var}(!lag1)+c(31)*{%FP_var}(!lag2)+c(50)*oecdgap_gh)*(1-dummy{%d}(!lag1))+c(32)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(3)*SS_{%FP_mult}_base(!lag2)+c(4)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*g_ypot(!lag1)+c(8)*g_ypot(!lag2)+c(9)*t_ypot(!lag1)+c(10)*t_ypot(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(15)*{%FP_var}(!lag1)+c(16)*{%FP_var}(!lag2)+c(40)*oecdgap_gh+c(17)*@Trend

	       EndIf    'Avslutar %FP_type
'________________________________________________________________________________
	       If %FP_type="cab" Then 'Anvnds d IRF till strningar fr dCAB
        ' Med dummy
        Smpl %StartMedDum %EndMedDum
					Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*dCab(-!h)*dummy{%d}(!lag1)+c(2)*dCab(-!h)*(1-dummy{%d}(!lag1))+(c(3)*dCab(!lag1)+c(4)*dCab(!lag2)+c(74)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*t_ypot(!lag1)+c(8)*t_ypot(!lag2)+c(9)*g_ypot(!lag1)+c(10)*g_ypot(!lag2)+c(112)*(realranta(!lag1))+c(113)*(realranta(!lag2))+c(40)*oecdgap_gh)*dummy{%d}(!lag1)+(c(17)*dCab(!lag1)+c(18)*dCab(!lag2)+c(19)+c(20)*{%Real_var}(!lag1)+c(21)*{%Real_var}(!lag2)+c(22)*t_ypot(!lag1)+c(23)*t_ypot(!lag2)+c(24)*g_ypot(!lag1)+c(25)*g_ypot(!lag2)+c(212)*(realranta(!lag1))+c(213)*(realranta(!lag2))+c(50)*oecdgap_gh)*(1-dummy{%d}(!lag1))+c(32)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*dCab(-!h)+c(2)*dCab(!lag1)+c(3)*dCab(!lag2)+c(4)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*g_ypot(!lag1)+c(8)*g_ypot(!lag2)+c(9)*t_ypot(!lag1)+c(10)*t_ypot(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(40)*oecdgap_gh+c(17)*@Trend

      EndIf     'Avslutar %FP_type
  EndIf         'Avslutar %NORM

'________________________________________________________________________________
If %NORM="LN" Then	'Estimering med reala variabler i logs
'________________________________________________________________________________
				If %FP_type="bas" Then 'Anvnds d IRF till KOOL- och DSTH-strningar berknas

				' Med dummy
Smpl %StartMedDum %EndMedDum
Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(4)*SS_{%FP_mult}_base(!lag2)+c(5)+c(6)*{%Real_var}(!lag1)+c(7)*{%Real_var}(!lag2)+c(8)*ln_koolfs(!lag1)+c(9)*ln_koolfs(!lag2)+c(10)*ln_dsthfs(!lag1)+c(11)*ln_dsthfs(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(40)*oecdgap_gh)*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(17)*SS_{%FP_mult}_base(!lag2)+c(18)+c(19)*{%Real_var}(!lag1)+c(20)*{%Real_var}(!lag2)+c(21)*ln_koolfs(!lag1)+c(22)*ln_koolfs(!lag2)+c(23)*ln_dsthfs(!lag1)+c(24)*ln_dsthfs(!lag2)+c(25)*(realranta(!lag1))+c(26)*(realranta(!lag2))+c(50)*oecdgap_gh)*(1-dummy{%d}(!lag1))+c(29)*@Trend

					' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
				 Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(3)*SS_{%FP_mult}_base(!lag2)+c(4)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*ln_koolfs(!lag1)+c(8)*ln_koolfs(!lag2)+c(9)*ln_dsthfs(!lag1)+c(10)*ln_dsthfs(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(40)*oecdgap_gh+c(15)*@Trend

        EndIf  'Avslutar %FP_type
'________________________________________________________________________________
				If %FP_type="other" Then 'Anvnds d IRF till strningar fr vriga variabler berknas (utver KOOL- och DSTH-strningar)

		   ' Med dummy
		   Smpl %StartMedDum %EndMedDum
        Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(10)*SS_{%FP_mult}_base(!lag1)+c(11)*SS_{%FP_mult}_base(!lag2)+c(12)+c(13)*{%Real_var}(!lag1)+c(14)*{%Real_var}(!lag2)+c(15)*ln_koolfs(!lag1)+c(16)*ln_koolfs(!lag2)+c(17)*ln_dsthfs(!lag1)+c(18)*ln_dsthfs(!lag2)+c(122)*(realranta(!lag1))+c(132)*(realranta(!lag2))+c(23)*{%FP_var}(!lag1)+c(24)*{%FP_var}(!lag2)+c(40)*oecdgap_gh)*dummy{%d}(!lag1)+(c(25)*SS_{%FP_mult}_base(!lag1)+c(26)*SS_{%FP_mult}_base(!lag2)+c(27)+c(28)*{%Real_var}(!lag1)+c(29)*{%Real_var}(!lag2)+c(30)*ln_koolfs(!lag1)+c(31)*ln_koolfs(!lag2)+c(32)*ln_dsthfs(!lag1)+c(33)*ln_dsthfs(!lag2)+c(212)*(realranta(!lag1))+c(213)*(realranta(!lag2))+c(38)*{%FP_var}(!lag1)+c(39)*{%FP_var}(!lag2)+c(50)*oecdgap_gh)*(1-dummy{%d}(!lag1))+c(40)*@Trend

					' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
        Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(3)*SS_{%FP_mult}_base(!lag2)+c(4)+c(5)*{%Real_var}(!lag1)+c(6)*{%Real_var}(!lag2)+c(7)*ln_koolfs(!lag1)+c(8)*ln_koolfs(!lag2)+c(9)*ln_dsthfs(!lag1)+c(10)*ln_dsthfs(!lag2)+c(11)*{%FP_var}(!lag1)+c(12)*{%FP_var}(!lag2)+c(12)*(realranta(!lag1))+c(13)*(realranta(!lag2))+c(16)*kpifees(!lag2)+c(40)*oecdgap_gh+c(17)*@Trend

      EndIf     'Avslutar %FP_type

EndIf         'Avslutar %NORM
EndIf         'Avslutar %SystemSize

'________________________________________________________________________________
If %SystemSize="SMALL" Then
'________________________________________________________________________________

'________________________________________________________________________________
If %NORM="PotBNP" Then	'Estimering med reala variabler i logs
'________________________________________________________________________________
				If %FP_type="bas" Then 'Anvnds d IRF till KOOL- och DSTH-strningar berknas

				' Med dummy
Smpl %StartMedDum %EndMedDum
Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(5)+c(6)*{%Real_var}(!lag1)+c(8)*g_ypot(!lag1)+c(10)*t_ypot(!lag1)+c(112)*(realranta(!lag1))+c(40)*oecdgap_gh)*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(18)+c(19)*{%Real_var}(!lag1)+c(21)*g_ypot(!lag1)+c(23)*t_ypot(!lag1)+c(25)*(realranta(!lag1))+c(50)*oecdgap_gh)*(1-dummy{%d}(!lag1))+c(29)*@Trend

					' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
				 Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(4)+c(5)*{%Real_var}(!lag1)+c(7)*g_ypot(!lag1)+c(9)*t_ypot(!lag1)+c(11)*(realranta(!lag1))+c(40)*oecdgap_gh+c(15)*@Trend

        EndIf  'Avslutar %FP_type
'________________________________________________________________________________
				If %FP_type="other" Then 'Anvnds d IRF till strningar fr vriga variabler berknas (utver KOOL- och DSTH-strningar)

				' Med dummy
Smpl %StartMedDum %EndMedDum
Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(5)+c(6)*{%Real_var}(!lag1)+c(8)*g_ypot(!lag1)+c(10)*t_ypot(!lag1)+c(323)*{%FP_var}(!lag1)+c(112)*(realranta(!lag1))+c(40)*oecdgap_gh)*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(18)+c(19)*{%Real_var}(!lag1)+c(21)*g_ypot(!lag1)+c(23)*t_ypot(!lag1)+c(223)*{%FP_var}(!lag1)+c(25)*(realranta(!lag1))+c(50)*oecdgap_gh)*(1-dummy{%d}(!lag1))+c(29)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
				 Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(4)+c(5)*{%Real_var}(!lag1)+c(7)*g_ypot(!lag1)+c(9)*t_ypot(!lag1)+c(23)*{%FP_var}(!lag1)+c(11)*(realranta(!lag1))+c(40)*oecdgap_gh+c(15)*@Trend

      EndIf     'Avslutar %FP_type

 If %FP_type="cab" Then 'Anvnds d IRF till strningar fr dCAB
        ' Med dummy
        Smpl %StartMedDum %EndMedDum
					Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*dCab(-!h)*dummy{%d}(!lag1)+c(2)*dCab(-!h)*(1-dummy{%d}(!lag1))+(c(3)*dCab(!lag1)+c(74)+c(5)*{%Real_var}(!lag1)+c(7)*t_ypot(!lag1)+c(9)*g_ypot(!lag1)+c(112)*(realranta(!lag1))+c(30)*oecdgap_gh)*dummy{%d}(!lag1)+(c(17)*dCab(!lag1)+c(19)+c(20)*{%Real_var}(!lag1)+c(22)*t_ypot(!lag1)+c(24)*g_ypot(!lag1)+c(212)*(realranta(!lag1))+c(31)*oecdgap_gh)*(1-dummy{%d}(!lag1))+c(32)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*dcab(-!h)+c(2)*dcab(!lag1)+c(4)+c(5)*{%Real_var}(!lag1)+c(7)*g_ypot(!lag1)+c(9)*t_ypot(!lag1)+c(12)*(realranta(!lag1))+c(30)*oecdgap_gh+c(17)*@Trend


      EndIf    'Avslutar %FP_type

EndIf         'Avslutar %NORM

'________________________________________________________________________________
If %NORM="LN" Then	'Estimering med reala variabler i logs
'________________________________________________________________________________
				If %FP_type="bas" Then 'Anvnds d IRF till KOOL- och DSTH-strningar berknas

				 'Med dummy
Smpl %StartMedDum %EndMedDum
Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(5)+c(6)*{%Real_var}(!lag1)+c(8)*ln_koolfs(!lag1)+c(10)*ln_dsthfs(!lag1)+c(112)*(realranta(!lag1))+c(40)*oecdgap_gh)*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(18)+c(19)*{%Real_var}(!lag1)+c(21)*ln_koolfs(!lag1)+c(23)*ln_dsthfs(!lag1)+c(25)*(realranta(!lag1))+c(30)*oecdgap_gh)*(1-dummy{%d}(!lag1))+c(29)*@Trend

					' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(4)+c(5)*{%Real_var}(!lag1)+c(7)*ln_koolfs(!lag1)+c(9)*ln_dsthfs(!lag1)+c(11)*(realranta(!lag1))+c(20)*oecdgap_gh+c(15)*@Trend

        EndIf  'Avslutar %FP_type
'________________________________________________________________________________
				If %FP_type="other" Then 'Anvnds d IRF till strningar fr vriga variabler berknas (utver KOOL- och DSTH-strningar)

				' Med dummy
Smpl %StartMedDum %EndMedDum
Equation eq_{%y}_d{%d}_h{%h}.ls(Cov=hac) {%y} = c(1)*SS_{%FP_mult}_base(-!h)*dummy{%d}(!lag1)+c(2)*SS_{%FP_mult}_base(-!h)*(1-dummy{%d}(!lag1))+(c(3)*SS_{%FP_mult}_base(!lag1)+c(5)+c(6)*{%Real_var}(!lag1)+c(8)*ln_koolfs(!lag1)+c(10)*ln_dsthfs(!lag1)+c(323)*{%FP_var}(!lag1)+c(112)*(realranta(!lag1))+c(30)*oecdgap_gh)*dummy{%d}(!lag1)+(c(16)*SS_{%FP_mult}_base(!lag1)+c(18)+c(19)*{%Real_var}(!lag1)+c(21)*ln_koolfs(!lag1)+c(23)*ln_dsthfs(!lag1)+c(223)*{%FP_var}(!lag1)+c(25)*(realranta(!lag1))+c(40)*oecdgap_gh)*(1-dummy{%d}(!lag1))+c(29)*@Trend

				' Utan dummy
				Smpl %StartUtanDum %EndUtanDum
				 Equation eq_{%y}_d00_h{%h}.ls(Cov=hac)  {%y} = c(1)*SS_{%FP_mult}_base(-!h)+c(2)*SS_{%FP_mult}_base(!lag1)+c(4)+c(5)*{%Real_var}(!lag1)+c(7)*ln_koolfs(!lag1)+c(9)*ln_dsthfs(!lag1)+c(23)*{%FP_var}(!lag1)+c(11)*(realranta(!lag1))+c(40)*oecdgap_gh+c(15)*@Trend

      EndIf     'Avslutar %FP_type

   EndIf         'Avslutar %NORM


EndIf         'Avslutar %SystemSize

EndIf         'Avslutar %OECDgap

'__________________________________________________________________________
' BERKNAR MULTIPLIKATORER
'__________________________________________________________________________

		    ' Sparar parameterskattningar och HAC-standardfel fr c(1) och c(2) frn dummyregressioner, frst som scalrvariabler:

				!sc_{%y}_d{%d}_h{%h}1 = eq_{%y}_d{%d}_h{%h}.@coefs(1)
        !sc_{%y}_d{%d}_h{%h}2 = eq_{%y}_d{%d}_h{%h}.@stderrs(1)
        !sc_{%y}_d{%d}_h{%h}3 = eq_{%y}_d{%d}_h{%h}.@coefs(2)
				!sc_{%y}_d{%d}_h{%h}4 = eq_{%y}_d{%d}_h{%h}.@stderrs(2)


				'Sen som serier fr att de enkelt ska kunna plottas:
				PageSelect resultat
				Smpl  {!h} {!h}+1
				Series {%y}_d{%d}_p1 = !sc_{%y}_d{%d}_h{%h}1
				Series {%y}_d{%d}_s1 = !sc_{%y}_d{%d}_h{%h}2
			  Series {%y}_d{%d}_p2 = !sc_{%y}_d{%d}_h{%h}3
				Series {%y}_d{%d}_s2 = !sc_{%y}_d{%d}_h{%h}4


				'Berknar 95%-igt konfidensintervall kring parameterskattningarna
			Series {%y}_d{%d}_p1_ki_h={%y}_d{%d}_p1+2*{%y}_d{%d}_s1
			Series {%y}_d{%d}_p1_ki_l={%y}_d{%d}_p1-2*{%y}_d{%d}_s1
			Series {%y}_d{%d}_p2_ki_h={%y}_d{%d}_p2+2*{%y}_d{%d}_s2
			Series {%y}_d{%d}_p2_ki_l={%y}_d{%d}_p2-2*{%y}_d{%d}_s2

			'Berknar kumulativa parameterskattningar fr c(1) och c(2)
			Series cum_{%y}_d{%d}_p1= @cumsum({%y}_d{%d}_p1)     'c(1)
			Series cum_{%y}_d{%d}_p2= @cumsum({%y}_d{%d}_p2)	   'c(2)

			Next  'loop ver !d (dummys)

     ' Sparar resultat frn c(1) och c(2), frst som scalrvariabler (utan dummy)

			PageSelect {%PageName}

		  !sc_{%y}_d00_h{%h}1 = eq_{%y}_d00_h{%h}.@coefs(1)
		  !sc_{%y}_d00_h{%h}2 = eq_{%y}_d00_h{%h}.@stderrs(1)
			PageSelect resultat
			Series {%y}_d00_p1 = !sc_{%y}_d00_h{%h}1
			Series {%y}_d00_s1 = !sc_{%y}_d00_h{%h}2
			Series {%y}_d00_p1_ki_h={%y}_d00_p1+2*{%y}_d00_s1       '95%-igt ki
			Series {%y}_d00_p1_ki_l={%y}_d00_p1-2*{%y}_d00_s1
			Series cum_{%y}_d00_p1= @cumsum({%y}_d00_p1)			      'Kumulativa parameterskattningar


		Next 'loop ver !h (horisont)
	Next 'loop ver %y (variabler i vnsterled)

'________________________________________________________________________________
' Berknar kumulativa multiplikatorer
'________________________________________________________________________________
PageSelect resultat
Smpl @All

' BNP: Antal kronor BNP per krona finanspolitik. Loopar ver %yalla och fr d ven hur FP-variabler reagerar p FP-strningen
For %y {%yalla}
If %Real_variabel="BNP" Then
	If %NORM="PotBNP" Then
    Series KMult_I1_{%Real_variabel}_{%y}_d{%d} = cum_{%Real_var}_d{%d}_p1/cum_{%y}_d{%d}_p1
    Series KMult_I0_{%Real_variabel}_{%y}_d{%d} = cum_{%Real_var}_d{%d}_p2/cum_{%y}_d{%d}_p2
    Series KMult_li_{%Real_variabel}_{%y}_d00   = cum_{%Real_var}_d00_p1/cum_{%y}_d00_p1
  EndIf

  If %NORM="LN" Then
    Series K_I1_{%Real_variabel}_{%y}_d{%d} = cum_{%Real_var}_d{%d}_p1/cum_{%y}_d{%d}_p1
    Series K_I0_{%Real_variabel}_{%y}_d{%d} = cum_{%Real_var}_d{%d}_p2/cum_{%y}_d{%d}_p2
    Series K_li_{%Real_variabel}_{%y}_d00   = cum_{%Real_var}_d00_p1/cum_{%y}_d00_p1
  EndIf
EndIf
Next

' BNP-multiplikator vid LN-estimering ("blser upp" med {%Y_FP}, dvs. genomsnittlig BNP/FP-variabel)
If %Real_variabel="BNP" Then
  If %NORM="LN" Then
    Series KMult_I1_{%Real_variabel}_d{%d} = {%Y_FP}*K_I1_{%Real_variabel}_{%FP_var}_d{%d}
    Series KMult_I0_{%Real_variabel}_d{%d} = {%Y_FP}*K_I0_{%Real_variabel}_{%FP_var}_d{%d}
    Series KMult_li_{%Real_variabel}_d00 = {%Y_FP}*K_li_{%Real_variabel}_{%FP_var}_d00
  EndIf
EndIf

' Sysselsttning: Elasticitet m.a.p. offentlig variabel i relation till BNP
If %Real_variabel="SYSS" Then
    ' Sysselsttning r en stockvariabel; anvnder drfr ej ackumulerad sysselsttningsrespons.
    Series K_I1_{%Real_variabel}_d{%d} = cum_{%Real_var}_d{%d}_p1/cum_{%FP_var}_d{%d}_p1
    Series K_I0_{%Real_variabel}_d{%d} = cum_{%Real_var}_d{%d}_p2/cum_{%FP_var}_d{%d}_p2
    Series K_li_{%Real_variabel}_d00   = cum_{%Real_var}_d00_p1/cum_{%FP_var}_d00_p1

    Series KMult_I1_{%Real_variabel}_d{%d} = {%Y_FP}*K_I1_{%Real_variabel}_d{%d}
    Series KMult_I0_{%Real_variabel}_d{%d} = {%Y_FP}*K_I0_{%Real_variabel}_d{%d}
    Series KMult_li_{%Real_variabel}_d00 =   {%Y_FP}*K_li_{%Real_variabel}_d00
EndIf

'__________________________________________________________________________
' DIAGRAM
'__________________________________________________________________________

	PageSelect resultat
	Smpl 0 13
	For %y {%yalla}
		For !d = 1 To !d1
			%d = @Str(!d)
			If !d < 10 Then
				%d = "0"+@Str(!d)
			EndIf
			Graph g_{%y}_d{%d}.line {%y}_d{%d}_p1 {%y}_d{%d}_p1_ki_h {%y}_d{%d}_p1_ki_l {%y}_d{%d}_p2 {%y}_d{%d}_p2_ki_h {%y}_d{%d}_p2_ki_l
'			g_{%y}_d{%d}.setelem(1) Legend(I=1) lcolor(black) Symbol(1) lwidth(1.5)
			g_{%y}_d{%d}.setelem(2) Legend("") lcolor(black) lwidth(1)
			g_{%y}_d{%d}.setelem(3) Legend("") lcolor(black) lwidth(1)
			g_{%y}_d{%d}.setelem(4) Legend(I=0) lcolor(gray) Symbol(1) lwidth(1.5)
			g_{%y}_d{%d}.setelem(5) Legend("") lcolor(gray) lwidth(1)
			g_{%y}_d{%d}.setelem(6) Legend("") lcolor(gray) lwidth(1)
			g_{%y}_d{%d}.addtext(t) "IRF icke-linjr LP fr "{%y}" "
		Next

		Graph g_{%y}_d00.line {%y}_d00_p1 {%y}_d00_p1_ki_h {%y}_d00_p1_ki_l
		g_{%y}_d00.setelem(1) Legend(I=1) lcolor(black) Symbol(1) lwidth(1.5)
		g_{%y}_d00.setelem(2) Legend("") lcolor(black) lwidth(1)
		g_{%y}_d00.setelem(3) Legend("") lcolor(black) lwidth(1)
		g_{%y}_d00.addtext(t) "IRF linjr LP fr "{%y}" (utan dummy)"
  Next

		For %y {%yalla}
		  Graph cum_g_{%y}_d{%d}.line cum_{%y}_d{%d}_p1 cum_{%y}_d{%d}_p2 cum_{%y}_d00_p1
			cum_g_{%y}_d{%d}.setelem(1) lcolor(black) Symbol(2) lwidth(1.5)
			cum_g_{%y}_d{%d}.setelem(2)
		  cum_g_{%y}_d{%d}.setelem(3)
			cum_g_{%y}_d{%d}.addtext(t) "Kumulativa IRF"
	  Next

		' Kumulativ multiplikator fr finanspolitisk strningsvariabel
	 If %Real_variabel="BNP" Then
	  If %NORM="PotBNP" Then
	    'Graph kum_mult_{%Real_variabel}.line KMult_I1_{%Real_variabel}_{%FP_var}_d{%d} KMult_I0_{%Real_variabel}_{%FP_var}_d{%d} KMult_li_{%Real_variabel}_{%FP_var}_d00
      'Graph kum_mult_{%Real_variabel}.line KMult_I0_{%Real_variabel}_{%FP_var}_d{%d} KMult_li_{%Real_variabel}_{%FP_var}_d00
       Graph kum_mult_{%Real_variabel}.line KMult_li_{%Real_variabel}_{%FP_var}_d00
      kum_mult_{%Real_variabel}.setelem(1) lcolor(black) Symbol(2) lwidth(1.5)
	    kum_mult_{%Real_variabel}.setelem(2)
	    kum_mult_{%Real_variabel}.setelem(3)
	    kum_mult_{%Real_variabel}.addtext(t) "Kumulativa multiplikatorer"
	  EndIf

	  If %NORM="LN" Then
	    'Graph kum_mult_{%Real_variabel}.line KMult_I1_{%Real_variabel}_d{%d} KMult_I0_{%Real_variabel}_d{%d} KMult_li_{%Real_variabel}_d00
      'Graph kum_mult_{%Real_variabel}.line KMult_I0_{%Real_variabel}_d{%d} KMult_li_{%Real_variabel}_d00
      Graph kum_mult_{%Real_variabel}.line KMult_li_{%Real_variabel}_d00
      kum_mult_{%Real_variabel}.setelem(1) lcolor(black) Symbol(2) lwidth(1.5)
	    kum_mult_{%Real_variabel}.setelem(2)
	    kum_mult_{%Real_variabel}.setelem(3)
	    kum_mult_{%Real_variabel}.addtext(t) "Kumulativa multiplikatorer"
	  EndIf
	 EndIf

	If %Real_variabel="SYSS" Then
	    'Graph kum_mult_{%Real_variabel}.line KMult_I1_{%Real_variabel}_d{%d} KMult_I0_{%Real_variabel}_d{%d} KMult_li_{%Real_variabel}_d00
      Graph kum_mult_{%Real_variabel}.line KMult_I0_{%Real_variabel}_d{%d} KMult_li_{%Real_variabel}_d00
      kum_mult_{%Real_variabel}.setelem(1) lcolor(black) Symbol(2) lwidth(1.5)
	    kum_mult_{%Real_variabel}.setelem(2)
	    kum_mult_{%Real_variabel}.setelem(3)
	    kum_mult_{%Real_variabel}.addtext(t) "Kumulativa multiplikatorer"
	EndIf


  KIDiaLayout(namndatumtid=N,JPG=N)
	PageSelect {%PageName}

	' Flyttar ver ekvationer till ett eget ark
	Copy q\eq* eq\
	PageSelect q
	Delete eq*

'_______________________________________________________________________________________
EndIf  'Avslutar Jord-berkning
'_______________________________________________________________________________________

' Berkningar av hur vriga finanspolitiska variabler utvecklar sig i frhllande BNP vid respektive finanspolitisk strning
'PageSelect resultat
'If %Real_variabel="BNP" Then
' If %NORM="LN" Then
'  Series KMult_I1_{%Real_variabel}_T_d01 = {%Y_FPT}*K_I1_{%Real_variabel}_ln_dsthfs_d01
'  Series KMult_I1_{%Real_variabel}_IT_d01 = {%Y_FPIT}*K_I1_{%Real_variabel}_ln_istofs_d01
'  Series KMult_I1_{%Real_variabel}_TRH_d01 = {%Y_FPTRH}*K_I1_{%Real_variabel}_ln_trhfs_d01
' ' Series KMult_I1_{%Real_variabel}_G_d01 = {%Y_FPG}*K_I1_{%Real_variabel}_ln_koolfs_d01
'  Series KMult_I1_{%Real_variabel}_Gw_d01 = {%Y_FPGw}*K_I1_{%Real_variabel}_ln_lonofffs_d01
'
'  Series KMult_I0_{%Real_variabel}_T_d01 = {%Y_FPT}*K_I0_{%Real_variabel}_ln_dsthfs_d01
'  Series KMult_I0_{%Real_variabel}_IT_d01 = {%Y_FPIT}*K_I0_{%Real_variabel}_ln_istofs_d01
'  Series KMult_I0_{%Real_variabel}_TRH_d01 = {%Y_FPTRH}*K_I0_{%Real_variabel}_ln_trhfs_d01
' ' Series KMult_I0_{%Real_variabel}_G_d01 = {%Y_FPG}*K_I0_{%Real_variabel}_ln_koolfs_d01
'  Series KMult_I0_{%Real_variabel}_Gw_d01 = {%Y_FPGw}*K_I0_{%Real_variabel}_ln_lonofffs_d01
'
'  Series KMult_li_{%Real_variabel}_T_d00 = {%Y_FPT}*K_li_{%Real_variabel}_ln_dsthfs_d00
'  Series KMult_li_{%Real_variabel}_IT_d00 = {%Y_FPIT}*K_li_{%Real_variabel}_ln_istofs_d00
'  Series KMult_li_{%Real_variabel}_TRH_d00 = {%Y_FPTRH}*K_li_{%Real_variabel}_ln_trhfs_d00
' ' Series KMult_li_{%Real_variabel}_G_d00 = {%Y_FPG}*K_li_{%Real_variabel}_ln_koolfs_d00
'  Series KMult_li_{%Real_variabel}_Gw_d00 = {%Y_FPGw}*K_li_{%Real_variabel}_ln_lonofffs_d00
'
'' Kumulativ multiplikator fr vriga finanspolitiska variabler
'  Graph kum_mult_{%Real_variabel}_FPvar_I1.line KMult_I1_{%Real_variabel}_Gw_d01 KMult_I1_{%Real_variabel}_TRH_d01 KMult_I1_{%Real_variabel}_T_d01 KMult_I1_{%Real_variabel}_IT_d01
'  Graph kum_mult_{%Real_variabel}_FPvar_I0.line KMult_I0_{%Real_variabel}_Gw_d01 KMult_I0_{%Real_variabel}_TRH_d01 KMult_I0_{%Real_variabel}_T_d01 KMult_I0_{%Real_variabel}_IT_d01
'  Graph kum_mult_{%Real_variabel}_FPvar_li.line KMult_li_{%Real_variabel}_Gw_d00 KMult_li_{%Real_variabel}_TRH_d00 KMult_li_{%Real_variabel}_T_d00 KMult_li_{%Real_variabel}_IT_d00
' EndIf
'EndIf

'_______________________________________________________________________________________

' 9. AVSLUT
'_____________________________________________________________________________________
If %OV="CAB" Then
  WfSave {%runpath}Resultat\{%Datum}\{%FP_mult}_{%Real_variabel}_{%SystemSize}_{%NORM}_{%DUM}_{%OECDgap}__{%OECDgap_HP}_{%CAB}.wf1
Else
	WfSave {%runpath}Resultat\{%Datum}\{%FP_mult}_{%Real_variabel}_{%SystemSize}_{%NORM}_{%DUM}_{%OECDgap}_{%OECDgap_HP}.wf1
EndIf

If %ToBpro = "J" Then
	KIWfTillBpro Slask
EndIf

StatusLine Klart

Stop

